Skip to main content
PATCH
Update a channel account

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://app.hubspot.com/oauth/authorize
Token URL
https://api.hubapi.com/oauth/v1/token
Scopes1
conversations.custom_channels.read

Path Parameters

channelAccountId
integer<int64>
required

The unique identifier of the channel account to update.

channelId
integer<int32>
required

The unique identifier of the custom channel to which the account belongs.

Body

application/json
authorized
boolean

A boolean indicating whether the channel account is authorized.

name
string

A string representing the name of the channel account.

Response

successful operation

active
boolean
required

A boolean indicating whether the channel account is currently active.

archived
boolean
required

A boolean indicating whether the channel account is archived.

authorized
boolean
required

A boolean indicating whether the channel account is authorized.

channelId
string
required

The unique identifier for the channel to which this account belongs, represented as a string.

createdAt
string<date-time>
required

The date and time when the channel account was created, in ISO 8601 format.

id
string
required

The unique identifier for this channel account, represented as a string.

inboxId
string
required

The unique identifier for the inbox associated with this channel account, represented as a string.

name
string
required

The name of the channel account, represented as a string.

archivedAt
string<date-time>

The date and time when the channel account was archived, in ISO 8601 format.

deliveryIdentifier
object
Last modified on September 9, 2026